<?php
add_action( 'widgets_init', 'qaleb_box_6_widget' );
function qaleb_box_6_widget() {
	register_widget( 'qaleb_box_6_widget' );
}

class qaleb_box_6_widget extends WP_Widget {

	public function __construct(){
		$widget_ops = array( 'classname' => 'qaleb_box_6_widget','description' => 'سایدبار نقشه استانها'  );
		$control_ops = array( 'id_base' => 'qaleb_box_6_widget' );
		parent::__construct( 'qaleb_box_6_widget',''. __( 'News - باکس نقشه استانها  ' ), $widget_ops, $control_ops );
	}

	
	function widget( $args, $instance ) {
		extract( $args );

	
 ?>
<?php get_template_part('inc/map'); ?>
	<?php 
	}

	function update( $new_instance, $old_instance ) {
		$instance              = $old_instance;
		return $instance;
	}

	function form( $instance ) {

		?>
		<p>
		<?php $icon_url = esc_url( get_template_directory_uri().( '/img/box/6.png' ) ); ?>
		<center><img src="<?php echo $icon_url; ?>"/></center>
		</p>
        <p><em style="color:#0073aa;"><?php echo 'توجه : '; ?></em></p>
		<p><em style="color:#0085ba;"><?php echo 'جهت تنظیم و نمایش نقشه استانها پس از قرار دادن ابزارک باید به پنل تنظیمات قالب مراجعه و برای استانها دسته بندی انتخاب کنید'; ?></em></p>
	

		<?php
	
	}
}
?>